Bug 958717 - (CVE-2013-2038) gpsd: DoS (packet parser crash) in the NMEA0183 driver when processing malformed packet
gpsd: DoS (packet parser crash) in the NMEA0183 driver when processing malfor...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130501,repor...
: Security
Depends On: 958719
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-02 05:44 EDT by Jan Lieskovsky
Modified: 2015-07-31 07:59 EDT (History)
4 users (show)

See Also:
Fixed In Version: gpsd-3.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-05-02 05:44:56 EDT
A denial of service flaw was found in the way NMEA0183 driver packet parser of gpsd, a service daemon for mediating access to a GPS, processed certain malformed packets. A remote attacker could provide a specially-crafted device input that, when processed would lead to gpsd's packet parser crash (gpsd daemon termination).

References:
[1] http://lists.nongnu.org/archive/html/gpsd-dev/2013-05/msg00000.html

Relevant upstream patch:
[2] http://git.savannah.gnu.org/cgit/gpsd.git/commit/?id=dd9c3c2830cb8f8fd8491ce68c82698dc5538f50
Comment 1 Jan Lieskovsky 2013-05-02 05:50:18 EDT
This issue affects the versions of the gpsd package, as shipped with Fedora release of 17 and 18. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-05-02 05:50:54 EDT
Created gpsd tracking bugs for this issue

Affects: fedora-all [bug 958719]
Comment 3 Jan Lieskovsky 2013-05-02 06:00:08 EDT
CVE Request:
  http://www.openwall.com/lists/oss-security/2013/05/02/7
Comment 4 Kurt Seifried 2013-05-03 02:35:34 EDT
Assigned CVE as per http://seclists.org/oss-sec/2013/q2/268
Comment 5 Oden Eriksson 2013-05-07 03:01:55 EDT
Jan, please see:

https://bugs.mageia.org/show_bug.cgi?id=9969#c2
Comment 6 Jan Lieskovsky 2013-05-07 04:30:02 EDT
Together with the DoS in NMEA driver, upstream corrected also one potential crash in AIS driver:
  http://openwall.com/lists/oss-security/2013/05/03/3

Relevant upstream patch:
  http://git.savannah.gnu.org/cgit/gpsd.git/commit/?id=08edc49d8f63c75bfdfb480b083b0d960310f94f
Comment 7 Jan Lieskovsky 2013-05-07 04:46:14 EDT
(In reply to comment #5)
> Jan, please see:
> 
> https://bugs.mageia.org/show_bug.cgi?id=9969#c2

Thanks, Oden. Replied.
Comment 8 Jan Lieskovsky 2013-05-09 10:20:31 EDT
Eric clarified the problem was in NMEA0183:
  http://openwall.com/lists/oss-security/2013/05/08/1
Comment 9 Fedora Update System 2013-05-28 20:53:19 EDT
gpsd-3.9-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-05-28 21:00:35 EDT
gpsd-3.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.